# vehiclelist.cpp File Reference

Lists of vehicles. More...

`#include "stdafx.h"`
`#include "vehicle_gui.h"`
`#include "train.h"`
`#include "vehiclelist.h"`

Go to the source code of this file.

## Functions

void | BuildDepotVehicleList (VehicleType type, TileIndex tile, VehicleList *engines, VehicleList *wagons, bool individual_wagons)
| Generate a list of vehicles inside a depot.
void | GenerateVehicleSortList (VehicleList *list, VehicleType type, Owner owner, uint32 index, uint16 window_type)
| Generate a list of vehicles based on window type.

## Detailed Description

Lists of vehicles.

Definition in file vehiclelist.cpp.

## Function Documentation

void BuildDepotVehicleList | ( | VehicleType | type,
|  | TileIndex | tile,
|  | VehicleList * | engines,
|  | VehicleList * | wagons,
|  | bool | individual_wagons |
| ) |  |  |

Generate a list of vehicles inside a depot.

Parameters:

  | type | Type of vehicle
  | tile | The tile the depot is located on
  | engines | Pointer to list to add vehicles to
  | wagons | Pointer to list to add wagons to (can be NULL)
  | individual_wagons | If true add every wagon to wagons which is not attached to an engine. If false only add the first wagon of every row.

Definition at line 18 of file vehiclelist.cpp.

References SmallVector< T, S >::Append(), SmallVector< T, S >::Clear(), SmallVector< T, S >::Compact(), IsArticulatedPart(), IsFreeWagon(), IsRearDualheaded(), and TRACK_BIT_DEPOT.

Referenced by CmdDepotMassAutoReplace(), CmdDepotSellAllVehicles(), and CmdMassStartStopVehicle().

void GenerateVehicleSortList | ( | VehicleList * | list,
|  | VehicleType | type,
|  | Owner | owner,
|  | uint32 | index,
|  | uint16 | window_type |
| ) |  |  |

Generate a list of vehicles based on window type.

Parameters:

  | list | Pointer to list to add vehicles to
  | type | Type of vehicle
  | owner | Company to generate list for

  index

  This parameter has different meanings depending on window_type
  - VLW_STATION_LIST: index of station to generate a list for
  - VLW_SHARED_ORDERS: index of order to generate a list for
  - VLW_STANDARD: not used
  - VLW_DEPOT_LIST: TileIndex of the depot/hangar to make the list for
  - VLW_GROUP_LIST: index of group to generate a list for
  - VLW_WAYPOINT_LIST: index of waypoint to generate a list for

  | window_type | The type of window the list is for, using the VLW_ flags in vehicle_gui.h

Definition at line 71 of file vehiclelist.cpp.

References SmallVector< T, S >::Append(), SmallVector< T, S >::Clear(), SmallVector< T, S >::Compact(), and ODATFB_NEAREST_DEPOT.

Referenced by CmdMassStartStopVehicle(), and SendAllVehiclesToDepot().